Bug 52124 - IPv6 support
IPv6 support
Product: Red Hat Raw Hide
Classification: Retired
Component: xchat (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-08-20 15:35 EDT by Pekka Savola
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-07 17:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-08-20 15:35:24 EDT
It would be nice to have IPv6 support enabled, as it's already integrated.

Just add --enable-ipv6 to %configure, that's it :-)
Comment 1 Havoc Pennington 2001-08-20 16:06:44 EDT
My first question would be, why doesn't upstream have it on by default?
Comment 2 Pekka Savola 2001-08-20 16:25:55 EDT
I guess there are two reasons:

 1) they don't have a proper autoconf check that would enable it only if the 
 compiling box has IPv6 enabled (these come up now and then), and

 2) as xchat is bound to be built on older and weirder architectures too, defaulting to
on might break compiling for these if1) is not implemented .  After all, the API has changed a lot,
and IPv6 isn't exactly mainstream yet...

I don't see a big hurry with this though, but other apps are getting enabled..
Comment 3 Mike A. Harris 2002-02-04 03:05:47 EST
IPv6 is now enabled in rawhide build xchat-1.8.7-4

Note You need to log in before you can comment on or make changes to this bug.